package hmggirlfront;

import gvcr2.registry.GVCRecipe;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class GFRecipeRegistrys {
	public static void recipe(){
		int D = Short.MAX_VALUE;
		
		mod_GirlFront mod = mod_GirlFront.INSTANCE;
		
		if(mod_GirlFront.cfg_relief_recipe) {
			GameRegistry.addShapedRecipe(new ResourceLocation("relief_gunpowder"),
	                new ResourceLocation(mod.MOD_ID),
	                new ItemStack(Items.GUNPOWDER, 1), new Object[]{
					"cd",
					"dc",
					'd', Blocks.DIRT,
					'c', Items.COAL
				 });
		}
		
		GameRegistry.addShapedRecipe(new ResourceLocation("bdoll_crafting"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.bdoll_crafting, 1), new Object[]{
				"cic",
				"iii",
				"cic",
				'i', mod.idoll_parts,
				'c', mod.idoll_doll_contract
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("bdoll_dismantling"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.bdoll_dismantling, 1), new Object[]{
				"cic",
				"iii",
				"cic",
				'i', mod.idoll_parts,
				'c', mod.idoll_doll_dismantling
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("bdoll_doll_Restoring_machine"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.bdoll_doll_Restoring_machine, 1), new Object[]{
				"cic",
				"iii",
				"cic",
				'i', mod.idoll_parts,
				'c', mod.idoll_core
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_hp"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_hp, 4), new Object[]{
				"sis",
				'i', Items.IRON_INGOT,
				's', Items.STICK
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_bullet, 8), new Object[]{
				"sis",
				'i', Items.IRON_INGOT,
				's', Items.GUNPOWDER
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_food"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_food"),
                new ItemStack(mod.idoll_food, 8), new Object[]{
				"sas",
				'a', Items.BREAD,
				's', Items.STICK
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_food1"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_food1"),
                new ItemStack(mod.idoll_food, 8), new Object[]{
				"sas",
				'a', Items.APPLE,
				's', Items.STICK
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_food2"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_food2"),
                new ItemStack(mod.idoll_food, 8), new Object[]{
				"sas",
				'a', Items.BEETROOT,
				's', Items.STICK
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_food3"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_food3"),
                new ItemStack(mod.idoll_food, 4), new Object[]{
				"sas",
				'a', Items.SUGAR,
				's', Items.STICK
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_parts, 8), new Object[]{
				"s s",
				" i ",
				"s s",
				'i', Items.IRON_INGOT,
				's', Items.STICK
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_doll_contract"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_doll_contract, 1), new Object[]{
				"sis",
				"iii",
				"sis",
				'i', Items.IRON_INGOT,
				's', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_doll_repair"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_doll_repair, 1), new Object[]{
				"sis",
				"iii",
				"sis",
				'i', mod.idoll_food,
				's', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_doll_dismantling"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_doll_dismantling, 1), new Object[]{
				"sia",
				'i', mod.idoll_parts,
				's', Items.IRON_PICKAXE,
				'a', Items.IRON_AXE
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_doll_report"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_doll_report, 1), new Object[]{
				"sis",
				"iii",
				"sis",
				'i', Items.EMERALD,
				's', mod.idoll_parts
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_squad_cn"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_squad_cn, 1), new Object[]{
				"r ",
				"pp",
				"pp",
				'r', Items.REDSTONE,
				'p', mod.idoll_parts
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("gk_kalina"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.gk_kalina, 1), new Object[]{
				" p ",
				"pcp",
				" p ",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("helianthus"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.helianthus, 1), new Object[]{
				"hph",
				"pcp",
				"hph",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts,
				'h', mod.idoll_hp
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("gk_kryuger"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.gk_kryuger, 1), new Object[]{
				" f ",
				"pcb",
				" h ",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts,
				'f', mod.idoll_food,
				'b', mod.idoll_bullet,
				'h', mod.idoll_hp
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_weaponchange"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_weaponchange, 1), new Object[]{
				"pdp",
				'd', mod.idoll_doll_dismantling,
				'p', mod.idoll_parts
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_pledge"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_pledge, 1), new Object[]{
				"ppp",
				"pnp",
				"ppp",
				'n', Items.NETHER_STAR,
				'p', mod.idoll_doll_contract
			 });
		
		
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_heli"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_heli, 1), new Object[]{
				"ppp",
				"pcp",
				"ppp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_truck"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_truck, 1), new Object[]{
				"ppp",
				"pcp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_apc"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_apc, 1), new Object[]{
                " p ",
                "ppp",
				"pcp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_bike"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_bike, 1), new Object[]{
				"p  ",
				"pcp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_ifv"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_ifv, 1), new Object[]{
				" pp",
				"ppp",
				'p', mod.ve_apc
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_hmmwv"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_hmmwv, 1), new Object[]{
				"p p",
				"pcp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("ve_rhib"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.ve_rhib, 1), new Object[]{
				"pc ",
				"ppp",
				'c', mod.idoll_squad_cn,
				'p', mod.idoll_parts
			 });
		
		
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_9"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_9"),
                new ItemStack(mod.idoll_bullet_9, 16), new Object[]{
				"b",
				'b', mod.idoll_bullet
			 });*/
		GVCRecipe.setRecipe(0, "idoll_bullet_9", mod.MOD_ID, mod.idoll_bullet_9, 16,
				 mod.idoll_bullet, null, null,
				 null, null, null,
				null, null, null);
		
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_45"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_45"),
                new ItemStack(mod.idoll_bullet_45, 24), new Object[]{
				"bb",
				'b', mod.idoll_bullet
			 });*/
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_556"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_556"),
                new ItemStack(mod.idoll_bullet_556, 24), new Object[]{
				"bb",
				"b ",
				'b', mod.idoll_bullet
			 });*/
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_762"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_762"),
                new ItemStack(mod.idoll_bullet_762, 24), new Object[]{
				"bb",
				"bb",
				'b', mod.idoll_bullet
			 });*/
		
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_12g"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_12g"),
                new ItemStack(mod.idoll_bullet_12g, 16), new Object[]{
				" b ",
				"b b",
				" b ",
				'b', mod.idoll_bullet
			 });*/
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_40"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_40"),
                new ItemStack(mod.idoll_bullet_40, 4), new Object[]{
				" b ",
				"bbb",
				" b ",
				'b', mod.idoll_bullet
			 });*/
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_57"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_57"),
                new ItemStack(mod.idoll_bullet_57, 16), new Object[]{
				"bp",
				"bp",
				'b', mod.idoll_bullet,
				'p', mod.idoll_parts
			 });*/
		/*GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bullet_473kr"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_bullet_473kr"),
                new ItemStack(mod.idoll_bullet_473kr, 8), new Object[]{
				"pbp",
				"pbp",
				"pbp",
				'b', mod.idoll_bullet,
				'p', mod.idoll_parts
			 });*/
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_grenade_n"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_grenade_n"),
                new ItemStack(mod.idoll_grenade_n, 1), new Object[]{
				" g ",
				"gpg",
				" g ",
				'g', Items.GUNPOWDER,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_grenade_f"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_grenade_f"),
                new ItemStack(mod.idoll_grenade_f, 1), new Object[]{
				"gt",
				't', Blocks.TORCH,
				'g', mod.idoll_grenade_n
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_grenade_s"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_grenade_s"),
                new ItemStack(mod.idoll_grenade_s, 1), new Object[]{
				"gt",
				't', Items.COAL,
				'g', mod.idoll_grenade_n
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_grenade_fb"),
                new ResourceLocation(mod.MOD_ID + "_" + "idoll_grenade_fb"),
                new ItemStack(mod.idoll_grenade_fb, 1), new Object[]{
				"gt",
				't', Items.GLOWSTONE_DUST,
				'g', mod.idoll_grenade_n
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_class_assalt"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollam_class_assalt, 1), new Object[]{
				" p ",
				"pcp",
				"p p",
				'c', mod.idoll_doll_contract,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_class_medic"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollam_class_medic, 1), new Object[]{
				" p ",
				"pcp",
				" p ",
				'c', mod.idoll_doll_contract,
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_class_support"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollam_class_support, 1), new Object[]{
				" p ",
				"pcp",
				" p ",
				'c', mod.idoll_doll_contract,
				'p', mod.idoll_bullet
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_class_scout"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollam_class_scout, 1), new Object[]{
				"bpb",
				"pcp",
				"bpb",
				'c', mod.idoll_doll_contract,
				'p', mod.idoll_parts,
				'b', mod.idoll_bullet
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_class_torcher"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollam_class_torcher, 1), new Object[]{
				"tpt",
				"pcp",
				"tpt",
				'c', mod.idoll_doll_contract,
				'p', mod.idoll_parts,
				't', Blocks.TORCH
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_bandage"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.idoll_bandage, 4), new Object[]{
				"pfp",
				'f', mod.idoll_food,
				'p',mod.idoll_parts,
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_ap2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_ap2"),
                new ItemStack(mod.dollam_bullet_ap2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_ap,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_ap3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_ap3"),
                new ItemStack(mod.dollam_bullet_ap3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_ap2,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_hv2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_hv2"),
                new ItemStack(mod.dollam_bullet_hv2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_hv,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_hv3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_hv3"),
                new ItemStack(mod.dollam_bullet_hv3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_hv2,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_frame_m2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_frame_m2"),
                new ItemStack(mod.dollam_frame_m2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_frame_m,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_frame_m3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_frame_m3"),
                new ItemStack(mod.dollam_frame_m3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_frame_m2,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_frame_x2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_frame_x2"),
                new ItemStack(mod.dollam_frame_x2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_frame_x,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_frame_x3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_frame_x3"),
                new ItemStack(mod.dollam_frame_x3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_frame_x2,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_hp2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_hp2"),
                new ItemStack(mod.dollam_bullet_hp2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_hp,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_hp3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_hp3"),
                new ItemStack(mod.dollam_bullet_hp3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_hp2,
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_backshot2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_backshot2"),
                new ItemStack(mod.dollam_bullet_backshot2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_backshot,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_backshot3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_backshot3"),
                new ItemStack(mod.dollam_bullet_backshot3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_backshot2,
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_srag2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_srag2"),
                new ItemStack(mod.dollam_bullet_srag2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_srag,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_srag3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_srag3"),
                new ItemStack(mod.dollam_bullet_srag3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_srag2,
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_frag2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_frag2"),
                new ItemStack(mod.dollam_bullet_frag2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_frag,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bullet_frag3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bullet_frag3"),
                new ItemStack(mod.dollam_bullet_frag3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bullet_frag2,
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bodyarmor2"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bodyarmor2"),
                new ItemStack(mod.dollam_bodyarmor2, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bodyarmor,
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollam_bodyarmor3"),
                new ResourceLocation(mod.MOD_ID + "_" + "dollam_bodyarmor3"),
                new ItemStack(mod.dollam_bodyarmor3, 1), new Object[]{
				"bbb",
				"bbb",
				"bbb",
				'b', mod.dollam_bodyarmor2,
			 });
		
		
		//defaultgun
		GameRegistry.addShapedRecipe(new ResourceLocation("dollgun_m1911"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollgun_m1911, 1), new Object[]{
				"ppp",
				"  w",
				'w', new ItemStack(Blocks.PLANKS, 1, D),
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollgun_galil"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollgun_galil, 1), new Object[]{
				"ppp",
				" ww",
				'w', new ItemStack(Blocks.PLANKS, 1, D),
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollgun_mp40"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollgun_mp40, 1), new Object[]{
				"pp ",
				" pp",
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("dollgun_fn49"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.dollgun_fn49, 1), new Object[]{
				"ppp",
				"www",
				'w', new ItemStack(Blocks.PLANKS, 1, D),
				'p', mod.idoll_parts
			 });
		
		//armor
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_pmc_head"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_pmc_head, 1), new Object[]{
				"ppp",
				"p p",
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_pmc_chest"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_pmc_chest, 1), new Object[]{
				"p p",
				"ppp",
				"ppp",
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_pmc_legs"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_pmc_legs, 1), new Object[]{
				"ppp",
				"p p",
				"p p",
				'p', mod.idoll_parts
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_pmc_feet"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_pmc_feet, 1), new Object[]{
				"p p",
				"p p",
				'p', mod.idoll_parts
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_m_head"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_m_head, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc07sd,
        				'a', mod.armor_pmc_head
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_m_chest"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_m_chest, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc07sd,
        				'a', mod.armor_pmc_chest
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_m_legs"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_m_legs, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc07sd,
        				'a', mod.armor_pmc_legs
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_m_feet"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_m_feet, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc07sd,
        				'a', mod.armor_pmc_feet
			 });
		
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_h_head"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_h_head, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc08sd,
        				'a', mod.armor_pmc_head
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_h_chest"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_h_chest, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc08sd,
        				'a', mod.armor_pmc_chest
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_h_legs"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_h_legs, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc08sd,
        				'a', mod.armor_pmc_legs
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("armor_army_h_feet"),
                new ResourceLocation(mod.MOD_ID),
                new ItemStack(mod.armor_army_h_feet, 1), new Object[]{
                		"sa",
        				's', mod.dollgun_ibc08sd,
        				'a', mod.armor_pmc_feet
			 });
		
		
		//attachment
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__1"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_horo
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__2"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_dotsight
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__3"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_acog
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__4"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_scope
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__5"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_micro
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__6"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_coyote
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__1"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_kobra
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__7"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_lasersight
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__8"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_suppressor
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__9"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_grip
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__10"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_bipod
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__11"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_anglegrip
			 });
		GameRegistry.addShapedRecipe(new ResourceLocation("idoll_parts__12"),
                new ResourceLocation(mod.MOD_ID + "_" + "attachment_dismantling"),
                new ItemStack(mod.idoll_parts, 1), new Object[]{
                		"a",
        				'a', mod.dollam_gripod
			 });
	}
}
